Bug 469748 - Review Request: perl-MooseX-Log-Log4perl - A Logging Role for Moose based on Log::Log4perl
Review Request: perl-MooseX-Log-Log4perl - A Logging Role for Moose based on ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Lo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 15:49 EST by Chris Weyl
Modified: 2008-11-05 23:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 23:27:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-03 15:49:28 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Log-Log4perl.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Log-Log4perl-0.31-1.fc9.src.rpm

Description:
A logging role building a very lightweight wrapper to Log::Log4perl for use
with your the Moose classes. The initialization of the Log4perl instance must
be performed prior to logging the first log message. Otherwise the default
initialization will happen, probably not doing the things you expect.

For compatibility the 'logger' attribute can be accessed to use a common
interface for application logging.

For simple logging needs use MooseX::Log::Log4perl::Easy to directly add
log_<level> methods to your class instance.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=916576
Comment 1 Parag AN(पराग) 2008-11-04 05:37:59 EST
Review:
+ package builds in mock (rawhide).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=916902
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
302a2413b6faeff398cdb0a9f267e8d6  MooseX-Log-Log4perl-0.31.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave 
All tests successful.
Files=4, Tests=22,  1 wallclock secs ( 0.01 usr  0.01 sys +  0.98 cusr  0.06 csys =  1.06 CPU)
+ Package  perl-MooseX-Log-Log4perl-0.31-1.fc10 =>
Provides: perl(MooseX::Log::Log4perl) = 0.31 perl(MooseX::Log::Log4perl::Easy) = 0.31
Requires: perl(Log::Log4perl) perl(Moose::Role)

APPROVED.
Comment 2 Chris Weyl 2008-11-04 11:31:42 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Log-Log4perl
Short Description: A Logging Role for Moose based on Log::Log4perl
Owners: cweyl
Branches: F-8 F-9 devel
InitialCC: perl-sig
Comment 3 Chris Weyl 2008-11-04 17:03:32 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Log-Log4perl
Short Description: A Logging Role for Moose based on Log::Log4perl
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-11-05 17:47:22 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.